.. _int: https://docs.python.org/2/library/stdtypes.html

.. _secondaryVlanId: ../../../vim/dvs/VmwareDistributedVirtualSwitch/PvlanMapEntry.rst#secondaryVlanId

.. _vSphere API 4.0: ../../../vim/version.rst#vimversionversion5

.. _vim.dvs.VmwareDistributedVirtualSwitch.VlanSpec: ../../../vim/dvs/VmwareDistributedVirtualSwitch/VlanSpec.rst


vim.dvs.VmwareDistributedVirtualSwitch.PvlanSpec
================================================
  This data type defines the configuration when PVLAN id is to be used for the ports.
:extends: vim.dvs.VmwareDistributedVirtualSwitch.VlanSpec_
:since: `vSphere API 4.0`_

Attributes:
    pvlanId (`int`_):

       The `secondaryVlanId`_ .
